Support » Plugin: BuddyPress Registration Options » Strange encoding

  • Resolved aminaz

    (@aminaz)


    Hello!

    I noticed a strange encoding in the description of the plugin and part of the settings text like. Website in Russian
    Каждый новый пользователь должен быть проверен и одобрен администратором перед тем, как получить доступ к компонентам

Viewing 11 replies - 1 through 11 (of 11 total)
  • Moderator Yui

    (@fierevere)

    ゆい

    Каждый новый пользователь должен быть проверен и одобрен администратором перед тем, как получить доступ к компонентам

    its in ISO-8859-1

    Does your webserver set header for unicode?
    content-type: text/html; charset=UTF-8
    or your theme (header.php or see html page source)

    
    <meta charset="UTF-8" />
    Thread Starter aminaz

    (@aminaz)

    I deleted the translation file. And everything is fine. Problem in Russian translation file

    Thread Starter aminaz

    (@aminaz)

    Thank for quick answer! Yes there is <meta charset=”UTF-8″>

    • This reply was modified 1 year ago by aminaz.
    Moderator Yui

    (@fierevere)

    ゆい

    т.е. перевод испорчен?
    https://plugins.svn.wordpress.org/bp-registration-options/trunk/languages/bp-registration-options-ru_RU.po

    и правда, битая кодировка.

    Plugin authors, please delete russian translation files from /languages/ its utterly broken.

    Plugin Author Michael Beckwith

    (@tw2113)

    The BenchPresser

    For what it’s worth, we’d love to have a freshly updated russian translation po file for the russian translation. We can provide the po template file as well.

    Plugin Author Michael Beckwith

    (@tw2113)

    The BenchPresser

    Removed from the 4.3.9 tag for the time being.

    Moderator Yui

    (@fierevere)

    ゆい

    I have updated translation.
    https://translate.wordpress.org/locale/ru/default/wp-plugins/bp-registration-options/

    Language pack will be available in a hour
    (every user can update via Dashboard>Updates>Update translations
    Консоль>Обновления>Обновить переводы) or it may happen within a day or two automatically.

    Language packs from GlotPress are used by WordPress 4.6 and newer, older WP versions may still load bundled (and broken) translations.

    marked topic as resolved.

    Plugin Author Michael Beckwith

    (@tw2113)

    The BenchPresser

    Thank you 🙂

    Thread Starter aminaz

    (@aminaz)

    Yui, спасибо большое!

    kitchin

    (@kitchin)

    Please bump the version number from 4.3.9. The two missing files cause this WP-CLI command to fail:

    wp plugin verify-checksums bp-registration-options

    Result:

    bp-registration-options,languages/bp-registration-options-ru_RU.mo,"File is missing"
    bp-registration-options,languages/bp-registration-options-ru_RU.po,"File is missing"
    Plugin Author Michael Beckwith

    (@tw2113)

    The BenchPresser

    I’ll see what I can do as I’d prefer to not bump all “willy nilly” just for the sake of it. I know I have a few recently opened issues over at https://github.com/WebDevStudios/BuddyPress-Registration-Options/issues that I may try to work on later this week. Hopefully I can get something or a 4.3.10 or so.

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Strange encoding’ is closed to new replies.